> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/rotationtype.md).

# RotationType

## Overview

RotationType is an Enum that defines how rotation is applied to objects. This is used to determine the direction of objects based on specific references such as movement or camera.

This is used in the RotationType property of UserGameSettings and provides intuitive controls for character or object movement systems.

## Items

| Name             | Value | Description                                             |
| ---------------- | ----- | ------------------------------------------------------- |
| MovementRelative | 0     | Aligns rotation to the direction of character movement. |
| CameraRelative   | 1     | Rotation follows the direction of the current camera.   |
| None             | 2     | No rotation type is specified.                          |

## See also

{% content-ref url="/pages/ZQ6tV7LR2aR8KKNf4IHl" %}
[UserGameSettings](/development/api-reference/classes/usergamesettings.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/rotationtype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
